Bug 1254110 - [abrt] python3: _g_log_abort(): python3.4 killed by SIGTRAP
[abrt] python3: _g_log_abort(): python3.4 killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1203e985708ddbdd230b63ed919...
:
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-08-17 03:50 EDT by Rajesh Krishna Nandanwar
Modified: 2016-07-19 13:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:31:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (83.47 KB, text/plain)
2015-08-17 03:50 EDT, Rajesh Krishna Nandanwar
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-17 03:50 EDT, Rajesh Krishna Nandanwar
no flags Details
File: core_backtrace (19.49 KB, text/plain)
2015-08-17 03:50 EDT, Rajesh Krishna Nandanwar
no flags Details
File: dso_list (13.81 KB, text/plain)
2015-08-17 03:51 EDT, Rajesh Krishna Nandanwar
no flags Details
File: environ (856 bytes, text/plain)
2015-08-17 03:51 EDT, Rajesh Krishna Nandanwar
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-17 03:51 EDT, Rajesh Krishna Nandanwar
no flags Details
File: maps (66.08 KB, text/plain)
2015-08-17 03:51 EDT, Rajesh Krishna Nandanwar
no flags Details
File: mountinfo (3.19 KB, text/plain)
2015-08-17 03:51 EDT, Rajesh Krishna Nandanwar
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-17 03:51 EDT, Rajesh Krishna Nandanwar
no flags Details
File: open_fds (934 bytes, text/plain)
2015-08-17 03:51 EDT, Rajesh Krishna Nandanwar
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2015-08-17 03:51 EDT, Rajesh Krishna Nandanwar
no flags Details

  None (edit)
Description Rajesh Krishna Nandanwar 2015-08-17 03:50:44 EDT
Version-Release number of selected component:
python3-3.4.2-4.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/da-gui
crash_function: _g_log_abort
executable:     /usr/bin/python3.4
global_pid:     7940
kernel:         4.0.4-301.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Fri 2015-08-14 19:11:55 IST, end at Mon 2015-08-17 13:08:39 IST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:315
 #2 wl_log at src/wayland-util.c:382
 #3 wl_closure_marshal at src/connection.c:592
 #4 wl_proxy_marshal_array_constructor at src/wayland-client.c:594
 #5 wl_proxy_marshal_constructor at src/wayland-client.c:677
 #6 wl_subcompositor_get_subsurface at /usr/include/wayland-client-protocol.h:2443
 #7 gdk_wayland_window_create_subsurface at gdkwindow-wayland.c:859
 #9 gdk_wayland_window_show at gdkwindow-wayland.c:1212
 #10 gdk_window_show_internal at gdkwindow.c:4960
 #11 gtk_window_map at gtkwindow.c:6059
Comment 1 Rajesh Krishna Nandanwar 2015-08-17 03:50:53 EDT
Created attachment 1063698 [details]
File: backtrace
Comment 2 Rajesh Krishna Nandanwar 2015-08-17 03:50:55 EDT
Created attachment 1063699 [details]
File: cgroup
Comment 3 Rajesh Krishna Nandanwar 2015-08-17 03:50:59 EDT
Created attachment 1063700 [details]
File: core_backtrace
Comment 4 Rajesh Krishna Nandanwar 2015-08-17 03:51:13 EDT
Created attachment 1063701 [details]
File: dso_list
Comment 5 Rajesh Krishna Nandanwar 2015-08-17 03:51:15 EDT
Created attachment 1063702 [details]
File: environ
Comment 6 Rajesh Krishna Nandanwar 2015-08-17 03:51:18 EDT
Created attachment 1063703 [details]
File: limits
Comment 7 Rajesh Krishna Nandanwar 2015-08-17 03:51:23 EDT
Created attachment 1063704 [details]
File: maps
Comment 8 Rajesh Krishna Nandanwar 2015-08-17 03:51:25 EDT
Created attachment 1063705 [details]
File: mountinfo
Comment 9 Rajesh Krishna Nandanwar 2015-08-17 03:51:28 EDT
Created attachment 1063706 [details]
File: namespaces
Comment 10 Rajesh Krishna Nandanwar 2015-08-17 03:51:31 EDT
Created attachment 1063707 [details]
File: open_fds
Comment 11 Rajesh Krishna Nandanwar 2015-08-17 03:51:35 EDT
Created attachment 1063708 [details]
File: proc_pid_status
Comment 12 Fedora Admin XMLRPC Client 2016-01-29 08:07:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 mchalupa 2016-04-22 11:04:11 EDT
This is GTK+ issue, not python. The error is invalid argument to wl_subcompositor.get_subsurface (the parent surface is NULL)
Comment 14 Fedora End Of Life 2016-07-19 13:31:49 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.